const fs = require('fs')

console.log('[Generating theme…]')

const fontSizes = require('./font-sizes')
const colors = require('./colors')
const space = require('./spacings')

const theme = {
  fontSizes,
  colors,
  space,
}

console.log('[Writing theme…]')

fs.writeFileSync(
  '../../www/theme/computed-atoms.ts',
  `// === === === === === ===
// DON’T EDIT THIS FILE DIRECTLY.
// This file is generated by .scripts/www-theme;
// do \`yarn run generate\` there instead.
// === === === === === ===

export default ${
  JSON.stringify(theme, null, 2)
}`
)

console.log('[Done.]')
